Media Icons Facebook Twitter Google+ RSS Focusrite TV Focusrite Soundcloud

Follow

Is The Impact App Compatible With My Device?

Applies To: iTrack Pocket & Impact App

Due to Apple no longer supporting the iPhone 5 and 5c, these products are no longer able to download the Impact App. If you are curious whether your iOS device will be able to install the Impact App, please refer to the list below. (Please note this app is not available for Android devices)

The Impact App Requires iOS 10.0 or later and is compatible only with the following devices. 

  • iPhone 5s
  • iPhone 6
  • iPhone 6 Plus 
  • iPhone 6s
  • iPhone 6s Plus
  • iPhone SE
  • iPhone 7
  • iPhone 7 Plus
  • iPhone 8
  • iPhone 8 Plus
  • iPhone X
  • iPhone XR
  • iPhone XS
  • iPhone XS Max

 

  • iPad Air
  • iPad Air Wi-Fi + Cellular
  • iPad Mini 2
  • iPad Mini 2 WiFi + Cellular
  • iPad Air 2
  • iPad Air 2 WiFi + Cellular
  • iPad Mini 3
  • iPad Mini 3 WiFi + Cellular
  • iPad Mini 4
  • iPad Mini 4 WiFi + Cellular
  • 12.9-inch iPad Pro
  • 12.9-inch iPad Pro WiFi + Cellular
  • 9.7-inch iPad Pro
  • 9.7-inch iPad Pro WiFi + Cellular
  • iPad (5th Generation)
  • iPad WiFi + Cellular (5th Generation) 
  • 12.9-inch iPad Pro (2nd Generation)
  • 12.9-inch iPad Pro WiFi + Cellular (2nd Generation)
  • 10.5-inch iPad Pro
  • 10.5-inch iPad Pro WiFi + Cellular
  • iPod Touch
Was this article helpful?
3 out of 5 found this helpful
Have more questions? Submit a request

Comments

Didn't find what you were looking for?

Search again using our search tool.